package com.example.zxweb.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.example.zxweb.common.api.vo.Result;
import com.example.zxweb.entity.ZxCelue;
import com.example.zxweb.entity.ZxDevice;
import com.example.zxweb.service.IZxCelueService;
import com.example.zxweb.service.IZxDeviceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @Description 设备管理接口
 * @Author ZhouWenTao
 * @Date 2023/9/14 9:16
 */
@Api(tags = "设备管理")
@RequestMapping("/device")
@RestController
public class DeviceController {
    @Resource
    IZxDeviceService zxDeviceService;

    @ApiOperation(value = "设备列表")
    @GetMapping(value = "/list")
    public Result<?> list(@RequestParam(value = "page",defaultValue = "1")Integer page,@RequestParam(value = "limit",defaultValue = "10")Integer limit){
        LambdaQueryWrapper<ZxDevice> queryWrapper=new LambdaQueryWrapper<>();
        return Result.ok(zxDeviceService.list(queryWrapper));
    }


}
